<a href="https://www.reaktoro.org"><img src='resources/icons/reaktoro.svg' width='100%'></a>

<!-- [![Linux Build](https://github.com/reaktoro/reaktoro/workflows/linux/badge.svg?branch=master)](https://github.com/reaktoro/reaktoro/actions?query=workflow%3Alinux) -->
<!-- [![OSX Build](https://github.com/reaktoro/reaktoro/workflows/osx/badge.svg?branch=master)](https://github.com/reaktoro/reaktoro/actions?query=workflow%3Aosx) -->
<!-- [![Windows Build](https://github.com/reaktoro/reaktoro/workflows/windows/badge.svg?branch=master)](https://github.com/reaktoro/reaktoro/actions?query=workflow%3Awindows) -->
<!-- [![image](https://anaconda.org/conda-forge/reaktoro/badges/installer/conda.svg)](https://conda.anaconda.org/conda-forge) -->
<!-- [![image](https://badge.fury.io/py/reaktoro.svg)](https://badge.fury.io/py/reaktoro) -->

# Introduction

Reaktoro is a unified framework for modeling chemically reactive systems.

Below are some features and modeling capabilities of Reaktoro:

* support to several thermochemical databases;
  * PHREEQC
  * SUPCRT
  * SUPCRTBL
  * NASA
  * ThermoFun
* support to chemical equilibrium and kinetics calculations with general constraints;
* efficient numerical algorithms implemented using modern programming techniques;
* the chemical systems can contain any number of phases;
* no limitations on the number of chemical species in each phase;
* use of automatic differentiation for computation of derivatives with respect to virtually any variable or parameter.

For more information on how to install and use Reaktoro, you should go to [Reaktoro's website](https://www.reaktoro.org).

> This README file is intentionally kept succinct in preference to the website's content.

## License

LGPL v2.1

Copyright © 2014-2022 Allan Leal

Reaktoro is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or (at
your option) any later version.

Reaktoro is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
License for more details.
