// Reaktoro is a unified framework for modeling chemically reactive systems.
//
// Copyright © 2014-2022 Allan Leal
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this library. If not, see <http://www.gnu.org/licenses/>.

#pragma once

#include <Reaktoro/Core/ActivityModel.hpp>
#include <Reaktoro/Core/ActivityProps.hpp>
#include <Reaktoro/Core/AggregateState.hpp>
#include <Reaktoro/Core/ChemicalFormula.hpp>
#include <Reaktoro/Core/ChemicalProps.hpp>
#include <Reaktoro/Core/ChemicalPropsPhase.hpp>
#include <Reaktoro/Core/ChemicalState.hpp>
#include <Reaktoro/Core/ChemicalSystem.hpp>
#include <Reaktoro/Core/Data.hpp>
#include <Reaktoro/Core/Database.hpp>
#include <Reaktoro/Core/Element.hpp>
#include <Reaktoro/Core/ElementalComposition.hpp>
#include <Reaktoro/Core/ElementList.hpp>
#include <Reaktoro/Core/Embedded.hpp>
#include <Reaktoro/Core/FormationReaction.hpp>
#include <Reaktoro/Core/Model.hpp>
#include <Reaktoro/Core/Param.hpp>
#include <Reaktoro/Core/Params.hpp>
#include <Reaktoro/Core/Phase.hpp>
#include <Reaktoro/Core/PhaseList.hpp>
#include <Reaktoro/Core/Phases.hpp>
#include <Reaktoro/Core/Reaction.hpp>
#include <Reaktoro/Core/ReactionEquation.hpp>
#include <Reaktoro/Core/ReactionList.hpp>
#include <Reaktoro/Core/ReactionRate.hpp>
#include <Reaktoro/Core/ReactionRateModel.hpp>
#include <Reaktoro/Core/Reactions.hpp>
#include <Reaktoro/Core/ReactionStandardThermoModel.hpp>
#include <Reaktoro/Core/ReactionStandardThermoProps.hpp>
#include <Reaktoro/Core/ReactionThermoProps.hpp>
#include <Reaktoro/Core/Species.hpp>
#include <Reaktoro/Core/SpeciesList.hpp>
#include <Reaktoro/Core/SpeciesThermoProps.hpp>
#include <Reaktoro/Core/StandardThermoModel.hpp>
#include <Reaktoro/Core/StandardThermoProps.hpp>
#include <Reaktoro/Core/StandardVolumeModel.hpp>
#include <Reaktoro/Core/StateOfMatter.hpp>
#include <Reaktoro/Core/Surface.hpp>
#include <Reaktoro/Core/Surfaces.hpp>
#include <Reaktoro/Core/SurfaceList.hpp>
#include <Reaktoro/Core/ThermoProps.hpp>
#include <Reaktoro/Core/ThermoPropsPhase.hpp>
#include <Reaktoro/Core/Utils.hpp>

/// @defgroup Core Core
/// The module in Reaktoro in which core classes and methods are defined.
